#pragma once

#include "Ini.h"

class CAppIni: public CIni
{
public: 
	double robot_x;
	double robot_y;
	double robot_theta;

	double scale;
	double offset_x;
	double offset_y;

	char map_file[MAX_PATH];

	int show_map;
	int show_2d_feature;
	int show_3d_feature;
	int show_beacon;
	int show_ceiling_landmark;
	int show_floor_landmark;
	int show_scanning_laser;
	int show_robot;

public:
	CAppIni(const char *ini_path);
	virtual ~CAppIni();

	void LoadData();
	void SaveData();

private:
	void TransferAllData (bool bSave);
};

extern CAppIni g_ini;
